import { Outlet, useLocation } from "react-router";

interface LayoutProps {
  children?: JSX.Element;
}

export const Layout = (props: LayoutProps) => {
  const location = useLocation();
  return (
    <div>
      <header> {location.pathname}</header>
      <Outlet />
    </div>
  );
};
